#!/bin/bash

# usage
# ./run_models.sh path-to-data
# path-to-data is the path to the directory containing data/ with cwb background, injections, swift catalog and lr_cwb/ containing parameters of cwb likelihhod ratio.  

mkdir model_flux_e-14
cd model_flux_e-14
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 100.0 > out.txt
cd ..

echo "model_flux_e-14 is finished"


mkdir model_flux_e-13
cd model_flux_e-13
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 1000.0 > out.txt
cd ..


echo "model_flux_e-13 is finished"


mkdir model_flux_e-12
cd model_flux_e-12
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 10000.0 > out.txt
cd ..

echo "model_flux_e-12 is finished"

mkdir model_flux_e-11
cd model_flux_e-11
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 100000.0 > out.txt
cd ..

echo "model_flux_e-11 is finished"

mkdir model_flux_e-10
cd model_flux_e-10
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 1000000.0 > out.txt
cd ..

echo "model_flux_e-10 is finished"

mkdir model_flux_e-09
cd model_flux_e-09
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 10000000.0 > out.txt
cd ..

echo "model_flux_e-09 is finished"

mkdir model_flux_e-08
cd model_flux_e-08
python  /home/vaulin/scr/mylsc_tools/GW_EM/gwem_swift_cwb_simulator.py --burst-background $1"/data/cwb.bkg.txt" --injections $1"/data/realistic_injections_3.5.xml" --output-path . --enable-output --swift-catalog $1"/data/xmm_processed_catalog.pickle" --model-em-distance 50.0 --verbose --cwb-fap-params-file $1"/lr_cwb/cwb_fap_params.pickle" --user-tag 2xmm --cwb-lr-params-file $1"/lr_cwb/lr_params.pickle" --model-em-flux 100000000.0 > out.txt
cd ..

echo "model_flux_e-08 is finished"
